# Week 4
## Python
### implementation
* Refactor code. 
	- Fix bug with separators. ✔
	- Add option to cli to select which type of inequalities to be included. ✔
* Implement different type of constraints. 
	- _Solving the Maximum-Weight Connected Subgraph Problem to Optimality_
	- _Solving the Connected Dominating Set Problem and Power Dominating Set Problem by Integer Programming_ ✔
	    - Only one type of constraints  which performed best in this paper. Performs bad on our graphs. 

### runtime
* Do tests according to test concept and store data in some sort of strucured format(CSV/ XML/ JSON) which could be importet in python or R.  

## thesis
* Begin paragraph about results and add preliminary results and observations. 
	- Create a concept how to test and which test results you want to include. 

## literature
* Read _Imposing Connectivity Constraints in Forest Planning Models_.
	- Check for different constraints which could strengthen the formulation.
* Read _Solving the Connected Dominating Set Problem and Power Dominating Set Problem by Integer Programming_
	- Different constraints to induce connectivity are compared. Try to implement some of them to compare them and see which one is best. You may see if this is related to a charateristic of your graphs. As the literature may states that for some type of graphs some approaches are better. 
* Check _On imposing connectivity constraints in integer programs_ again to see if there is some other literature which you are missing. 



# Backlog
## Python 
### Implementation 
* Remove lp_to_graph from package and instead use some other format to store graphs and use them as input.
